#run directly main.py as python main.py 
#or use this test and run as python test.py

import asyncio
from main import get_notes  # Import directly if main.py is in the same directory

async def main():
    request_data = {
        "customer_email": "vasilis.ilias@usecopay.com",
        "prospect_email": "justin.purdy@Elliott.co.uk"
    }
    
    notes = await get_notes(request_data)  # Call async function
    print(notes)  # Print the response

# Run the async function properly
if __name__ == "__main__":
    asyncio.run(main())